Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingData

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingData

All Implemented Interfaces:
  UrlMappingData

    public class DefaultUrlMappingData
    extends java.lang.Object

Default implementating of the UrlMappingData interface.

Authors:
  Graeme Rocher

Since:
  0.4

Constructor Summary
`DefaultUrlMappingData(java.lang.String urlPattern)`

Method Summary
`UrlMappingData` | `createRelative(java.lang.String path)`
`java.lang.String[]` | `getLogicalUrls()`
`java.lang.String[]` | `getTokens()`
`java.lang.String` | `getUrlPattern()`
`boolean` | `hasOptionalExtension()`
`boolean` | `isOptional(int index)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultUrlMappingData

    public DefaultUrlMappingData(java.lang.String urlPattern)

Method Detail

### createRelative

    @java.lang.Overridepublic UrlMappingData createRelative(String path) {
    public UrlMappingData createRelative(java.lang.String path)

### getLogicalUrls

    public java.lang.String[] getLogicalUrls()

### getTokens

    public java.lang.String[] getTokens()

### getUrlPattern

    public java.lang.String getUrlPattern()

### hasOptionalExtension

    @java.lang.Override
    public boolean hasOptionalExtension()

### isOptional

    public boolean isOptional(int index)

Groovy Documentation